Error
A valid request URL is required to generate request examples{
"data": [
{
"name": "<string>",
"proxy_account_id": "<string>",
"id": "<string>",
"notes": "<string>",
"proxy_type": "residential",
"auth_method": "usernamePassword",
"proxy_protocol": "http",
"port": 2499,
"location": {
"country_code": "<string>",
"region": "<string>",
"city": "<string>",
"asn": 123
},
"session": {
"type": "rotating",
"duration": 5040
},
"advanced_settings": {
"region_endpoint": false,
"region_endpoint_country": "<string>",
"region_endpoint_region": "<string>",
"region_endpoint_city": "<string>",
"sess_replace": true,
"sess_ip_collision": "strict",
"sess_asn": "strict",
"tcp_ip_fingerprint": false,
"tcp_ip_fingerprint_preset": "<string>",
"filter_by_subnets": false,
"filter_by_subnets_list": [
"<string>"
],
"gps_location_filtering": false,
"gps_location_address": "<string>",
"gps_location_lat": 123,
"gps_location_lng": 123,
"gps_location_radius_miles": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}V1.ProxyProfile
List proxy profiles
Paginated list of proxy profiles for the team.
GET
/
api
/
v1
/
teams
/
{team_id}
/
proxy_profiles
Error
A valid request URL is required to generate request examples{
"data": [
{
"name": "<string>",
"proxy_account_id": "<string>",
"id": "<string>",
"notes": "<string>",
"proxy_type": "residential",
"auth_method": "usernamePassword",
"proxy_protocol": "http",
"port": 2499,
"location": {
"country_code": "<string>",
"region": "<string>",
"city": "<string>",
"asn": 123
},
"session": {
"type": "rotating",
"duration": 5040
},
"advanced_settings": {
"region_endpoint": false,
"region_endpoint_country": "<string>",
"region_endpoint_region": "<string>",
"region_endpoint_city": "<string>",
"sess_replace": true,
"sess_ip_collision": "strict",
"sess_asn": "strict",
"tcp_ip_fingerprint": false,
"tcp_ip_fingerprint_preset": "<string>",
"filter_by_subnets": false,
"filter_by_subnets_list": [
"<string>"
],
"gps_location_filtering": false,
"gps_location_address": "<string>",
"gps_location_lat": 123,
"gps_location_lng": 123,
"gps_location_radius_miles": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}Authorizations
Value for the Api-Key header parameter.
Path Parameters
Team identifier
Query Parameters
The collection page number
The number of items per page
Required range:
0 <= x <= 100Filter by proxy type (residential, mobile, or any — any matches profiles with no specific type)
Available options:
residential, mobile, any Filter by one or more proxy types (OR semantics)
Available options:
residential, mobile, any Filter by linked proxy account is_active (true, false, 1, or 0)
Available options:
asc, desc